petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexPartitionLabelPropagate

Propagate points in a partition label over the point SF

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexPartitionLabelPropagate(DM dm, DMLabel label)

### Input Parameters

| dm | - The DM
| label | - DMLabel assinging ranks to remote roots

Note: This is required when generating multi-level overlaps to capture overlap points from non-neighbouring partitions.

### See Also

DMPlexPartitionLabelCreateSF, DMPlexDistribute(), DMPlexCreateOverlap

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages